<?php
class ADDON_DECLARACAO extends ISC_ADDON
{
	public function __construct(){
		parent::__construct();
        $this->SetId('addon_declaracao');
		$this->SetName('Gerador de Declaração dos correios');
		$this->SetHelpText('Insira os dados de Rementente');
	}
	
	public function SetCustomVars()	{

        $this->_variables['link3'] = array(
	    "name" => "CPF/CNPJ",
		"type" => "textbox",
		"help" => '',
		"default" => '',
		"required" => false);
					
		$this->_variables['link8'] = array(
		'type' => 'dropdown',
		'name' => 'Valor do pedido',
		'default' => '1',
		'options' => array(
		'Selecione' => '',
		'Puxar o valor total do pedido sem frete' => '1',
		'Puxar o valor total do pedido com frete' => '2',
		'Informar Manualmente abaixo' => '3',
		'Nao imprimir valor' => '4',
		),
		"multiselect" => false,
		'required' => true
		);

		$this->_variables['link9'] = array(
	    "name" => "Valor Manual",
		"type" => "textbox",
		"help" => '',
		"default" => '',
		"required" => false);
					
		$this->_variables['link10'] = array(
		'type' => 'dropdown',
		'name' => 'Opções de Discriminação',
		'default' => '1',
		'options' => array(
		'Selecione' => '',
		'Irei informar manualmente abaixo' => '1',
		'Nao imprimir discriminação' => '2',
		'Puxar Automáticamente do pedido' => '3',
		),
		"multiselect" => false,
		'required' => true
		);

		$this->_variables['link11'] = array(
	    "name" => "Discriminação Manual",
		"type" => "textbox",
		"help" => '',
		"default" => 'Assistência - Eletrônico',
		"required" => false);
			
			
		$this->_variables['link13'] = array(
	    "name" => "Peso Fixo KG",
		"type" => "textbox",
		"help" => 'Caso escolha a opção de discriminação Manual informe aqui o Peso em KG também.',
		"default" => '1',
		"required" => false);
			
		$this->_variables['link14'] = array("name" => "Ocultar Documento Destinatário",
		"type" => "checkbox",
		"default" => "",
		"options" => array(
		'Sim'=>'1'),
		"required" => false);
	}
	public function Init(){}
	public function EntryPoint(){}
	public function ToolsMenuExample(){}
}